<?php
include("../Librerias/ConfNivel2.inc");
$Nivel=$_Nivel2;
$ObjSesion=new Sesiones();   //Clase Sesin
$ObjSesion->MVerifica($Nivel);
$Conexion=new DBAccess();
$Conexion->Acceso($Servidor,$UsuarioBD,$ClaveBD,$BaseDatos);
$Formulario=new Formulario();
/*Obtenemos los valores por get*/ 
$tags2 = array_keys($_GET); // obtiene los nombres de las variables
$valores2 = array_values($_GET);// obtiene los valores de las variables
$i=0;
foreach ($_GET as $valores){
 ${$tags2[$i]}=$valores;
 $i++;	
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//ES" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml">
    <head> 
		<meta name="viewport" content="width=device-width, initial-scale=1, charset=ISO-8859-1">
		<link rel="stylesheet" type="text/css" href="<?php echo $Nivel ?>bootstrap/css/bootstrap.css">
        <link rel="stylesheet" type="text/css" href="<?php echo $Nivel ?>bootstrap/css/menuc3.css">
         <?php
	   if ($_JQuery == 1)
echo '<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>';
else
echo '<script src="'.$Nivel.'bootstrap/js/jquery.min.js"></script>';
?>
<script src="<?php echo $Nivel ?>bootstrap/js/bootstrap.min.js"></script>
<script src="<?php echo $Nivel ?>Librerias/box/html5lightbox.js"></script>
 <link rel="stylesheet" type="text/css" href="<?php echo $Nivel ?>Librerias/DataTables-1.10.4/media/css/jquery.dataTables.css">
         <link rel="stylesheet" href="<?php echo $Nivel ?>Librerias/multicombos/docsupport/prism.css">
	            <link rel="stylesheet" href="<?php echo $Nivel ?>Librerias/multicombos/chosen.css">
				 <style type="text/css" media="all">
				     .chosen-rtl .chosen-drop { left: -9000px; }
                  </style>
		<title>Ver Canto</title>
        <?
		  $Vidios = $Conexion->MVectorRegistro("SELECT * FROM videos where IdCanto = ".$IdCanto);
		  $Canti = $Vidios->num_rows;
		  $i=0;
		?>
       <script type="text/javascript" language="javascript">
		 const modalesMapa = [
  { 
    <? 	
    while ($renglon = mysqli_fetch_array($Vidios)){
	$arreglo = explode("?v=",$renglon["Link"]);	
    echo 'titulo: "'.$renglon["Interprete"].'",';
    echo 'iframeSrc: "'.$arreglo[1].'",';
    echo 'textoDireccion: "'.$renglon["Comentario"].'"';
    $i++; 	
	if ($i < $Canti)
    echo '},';
	else
	 echo '}';
	}
  ?>
];
		</script>
	</head>
<?php
include $Nivel."menu1.php";
$RowCantos=$Conexion->MSelectRegistro("SELECT cantos.IdCanto,cantos.Titulo, autores.Nombres, autores.Apellidos, cantos.TiempoLit,
tiemposlit.tiempolit, momentos.Momento, momentos.IdMomento, cantos.Acordes, cantos.IdAutorMusica, IdAutorLetra FROM cantos
left JOIN autores ON cantos.IdAutorMusica = autores.IdAutor left JOIN tiemposlit ON cantos.TiempoLit = tiemposlit.idtiempo
left JOIN momentos ON cantos.Momento = momentos.IdMomento WHERE cantos.IdCanto='$IdCanto'");
$AutMusic='';
if ($RowCantos["IdAutorMusica"] != $RowCantos["IdAutorLetra"]){
$RowAutmus=$Conexion->MSelectRegistro("Select autores.Nombres, autores.Apellidos from autores where IdAutor = ".$RowCantos["IdAutorLetra"]);	
$AutMusic = " / ".$RowAutmus["Nombres"]." ".$RowAutmus["Apellidos"];
}

?>
	<body style="padding-top: 60px;">
    <div class="container"> 
    <div class="row" style="margin-left: 10px; margin-right: 10px; margin-top:10px; margin-bottom:10px"> 
<form role="form" id="Formulario" name="Formulario" method="Post" action="cantospres.php">
 <input name="IdCanto" type="hidden" id="IdCanto" value="<?php  echo $IdCanto?>" />
  <div class="form-group">
   <h3><span class="label label-primary"><?php echo "T&iacute;tulo: ".$RowCantos["Titulo"];?></b></span></h3>
   </div>
    <div class="form-group"> 
	  <?php echo '<h4><span class="label label-info"><b>Autor: '.$RowCantos["Nombres"].' '.$RowCantos["Apellidos"].$AutMusic.'</b></span></h4>'; ?>  	 	 
    </div>
    <div class="form-group">  
	  <?php echo '<h4><span class="label label-info"><b>Uso : '.$RowCantos["tiempolit"].'</b></span></h4>'; ?>  	 	 
    </div>
    <div class="form-group col-sm-12"> 
    <h2>Recursos</h2>
  <ul class="nav nav-tabs">
    <li class="active"><a data-toggle="tab" href="#videos">Videos en l&iacute;nea</a></li>
    <li><a data-toggle="tab" href="#partituras">Partituras</a></li>
    <li><a data-toggle="tab" href="#otros">Otros Recursos</a></li>
  </ul>
  <div class="tab-content">
  <div id="videos" class="tab-pane fade in active">
     <h3>Videos</h3>
	  <?php 
	  $j = 0;
	  $Vidios1 = $Conexion->MVectorRegistro("SELECT * FROM videos where IdCanto = ".$IdCanto);
	  echo '<table class="table table-striped">';
	  echo '<tr>';	  
	  echo '<th>Interprete</th>';
	   echo '<th>Ver</th>';
	  echo '</tr>';	  	  
	    while ($renglon2 = mysqli_fetch_array($Vidios1)){
		echo '<tr>';
		echo '<td>'.$renglon2["Interprete"].'</td>';
		echo '<td><button type="button" class="btn btn-primary btn-modal" data-id="'.$j.'" ><i class="fa fa-youtube-play" aria-hidden="true"></i> </button></td>';
		echo '</tr>';	
		$j++;      
		}
		echo '</table>';
	  ?>  	
      </div>
      <div id="partituras" class="tab-pane fade">
      <h3>Partituras</h3>
      <?  $Parti = $Conexion->MVectorRegistro("SELECT * FROM archivos where IdCanto = ".$IdCanto." And Tipo = 3");
		  $CantP = $Parti->num_rows;
		  echo '<table class="table table-striped">';
	  echo '<tr>';	  
	  echo '<th>Autor</th>';
	   echo '<th>Ver</th>';
	  echo '</tr>';	  	  
	     while ($renglon3 = mysqli_fetch_array($Parti)){
		$rutarch = $Nivel.'Catalogos/archivos/'.$renglon3["Archivo"];
		echo '<tr>';
		echo '<td>'.$renglon3["Autor"].'</td>';
		//if ($renglon3["Formato"] < 6)
		echo '<td><a href="'.$rutarch.'" class="html5lightbox btn btn-primary" title="'.$renglon3["Comentario"].'"><i class="fa fa-file-audio-o" aria-hidden="true"></i> &nbsp;</td>';
		//else

		//echo '<td><a href="'.$rutarch.'" class="btn btn-primary" target="_blank" title="'.$renglon3["Comentario"].'"><i class="fa fa-file" aria-hidden="true"></i> &nbsp;</td>';
		echo '</tr>';	
		$j++;      
		}
		echo '</table>';
		  ?>
    </div>
     <div id="otros" class="tab-pane fade">
      <h3>Otros Recursos</h3>
      <?  $Otr = $Conexion->MVectorRegistro("SELECT * FROM archivos where IdCanto = ".$IdCanto." And Tipo <> 3");
		  echo '<table class="table table-striped">';
	  echo '<tr>';	  
	  echo '<th>Autor</th>';
	   echo '<th>Ver</th>';
	  echo '</tr>';	  	  
	     while ($renglon4 = mysqli_fetch_array($Otr)){
		$rutarch2 = $Nivel.'Catalogos/archivos/'.$renglon4["Archivo"];
		echo '<tr>';
		echo '<td>'.$renglon4["Autor"].'</td>';
		if ($renglon4["Formato"] <> 7 )
		echo '<td><a href="'.$rutarch.'" class="html5lightbox btn btn-primary" title="'.$renglon4["Comentario"].'"><i class="fa fa-file-audio-o" aria-hidden="true"></i> &nbsp;</td>';
		else
		 echo '<td><audio preload="auto" controls src= "'.$rutarch2.'"><p>Tu navegador no implementa el elemento audio.</p></audio></td>';
		echo '</tr>';	    
		}
		echo '</table>';
		  ?>
    </div>
    </div>
   </div> 
   <div class="col-12">
    <? $Formulario->MLinkBoton("buscarcanto.php", " Regresar","btn btn-info btn3d","fa fa-arrow-left"); 
	   $Formulario->MBotonScript('Imprimir','Imprimir',"javascript:imprim1(imp1);","btn btn-success btn3d","fa fa-print");
	?>
    </div>
     <div class="col-12 col-sm-12"><h3><span class="label label-success"><b>Letra</b></span><h3></div> 
     <div class="col-12" id="imp1">
      <h3><? echo $RowCantos["Titulo"] ?></h3>

      <?php 
      echo $RowCantos["Acordes"];
	  ?>  
      </div>
 </form>
 </div>
  </div>
<div class="modal fade" id="template" tabindex="-1" role="dialog" >
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="titulo"></h5>
        </div>
        <div class="modal-body">
          <div id="cuerpo-modal"></div>
            <span id="direccion"></span><br/>
            <span id="iframeSrc"></span>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
        </div>
      </div>
    </div>
</div>
<script type="text/javascript" language="javascript">
 $('.btn-modal').click(function() {
	  const datos = modalesMapa[$(this).attr("data-id")];
      $('#titulo').text(datos.titulo);
      $('#iframeSrc').html('<div class="embed-responsive embed-responsive-16by9"><iframe class="embed-responsive-item" src="https://www.youtube-nocookie.com/embed/'+datos.iframeSrc+'?autoplay=1" allowfullscreen></iframe></div>');
      $('#direccion').text(datos.textoDireccion);
      $('#template').modal('show');
   });
function imprim1(imp1){
var printContents = document.getElementById('imp1').innerHTML;
        w = window.open();
        w.document.write(printContents);
        w.document.close(); // necessary for IE >= 10
        w.focus(); // necessary for IE >= 10
		w.print();
		w.close();
        return true;}
		
function vermp3(audio, titulo, comen){
   $('#titulo').text(titulo);
   $('#iframeSrc').html('<div class="embed-responsive embed-responsive-16by9"><audio src= "'+audio+'"><p>Tu navegador no implementa el elemento audio.</p></audio></div>');
   $('#direccion').text(comen);
   $('#template').modal('show');	
}
</script>